#include <stdio.h>
#include <cstdlib>
using namespace std;
int a[1000000];
int main(int argc, const char * argv[]) {
    int n,x;
    scanf("%d%d",&n,&x);
    for(int i=0;i<n;i++)
        scanf("%d",&a[i]);
    int mn=a[0],mx=a[0];
    for(int i=1;i<n;i++)
    {
        if(a[i]<mn)
            mn=a[i];
        if(a[i]>mx)
            mx=a[i];
    }
    printf("%d",abs(mn-x)+abs(mx-mn));
    return 0;
}